Bug 1023299 - LVMError: lvdeactivate failed for home: running lvm lvchange -a n --config devices { filter=["r|/loop0$|","r|/loop1$|","r|/loop2$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] } fedora/home failed [NEEDINFO]
LVMError: lvdeactivate failed for home: running lvm lvchange -a n --config d...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:91549e912eea5fd4a66dfdb0337...
:
: 1023401 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 02:54 EDT by Peto
Modified: 2014-03-17 15:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 15:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dlehman: needinfo? (ronaldotiou)


Attachments (Terms of Use)
File: anaconda-tb (158.55 KB, text/plain)
2013-10-25 02:54 EDT, Peto
no flags Details
File: anaconda.log (2.92 KB, text/plain)
2013-10-25 02:54 EDT, Peto
no flags Details
File: environ (3.54 KB, text/plain)
2013-10-25 02:54 EDT, Peto
no flags Details
File: lsblk_output (1.59 KB, text/plain)
2013-10-25 02:54 EDT, Peto
no flags Details
File: nmcli_dev_list (5.74 KB, text/plain)
2013-10-25 02:54 EDT, Peto
no flags Details
File: os_info (179 bytes, text/plain)
2013-10-25 02:55 EDT, Peto
no flags Details
File: program.log (36.76 KB, text/plain)
2013-10-25 02:55 EDT, Peto
no flags Details
File: storage.log (106.78 KB, text/plain)
2013-10-25 02:55 EDT, Peto
no flags Details
File: ifcfg.log (4.42 KB, text/plain)
2013-10-25 02:55 EDT, Peto
no flags Details
File: packaging.log (422 bytes, text/plain)
2013-10-25 02:55 EDT, Peto
no flags Details

  None (edit)
Description Peto 2013-10-25 02:54:33 EDT
Version-Release number of selected component:
anaconda-19.30.13-1.fc19.x86_64

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/lvm.py", line 405, in lvdeactivate
    raise LVMError("lvdeactivate failed for %s: %s" % (lv_name, msg))
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2635, in _teardown
    lvm.lvdeactivate(self.vg.name, self._name)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 760, in teardown
    self._teardown(recursive=recursive)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 2888, in findExistingInstallations
    device.teardown()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 424, in reset
    self.roots = findExistingInstallations(self.devicetree)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 144, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 87, in wait
    self.raise_error(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 665, in payloadInitialize
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
LVMError: lvdeactivate failed for home: running lvm lvchange -a n --config  devices { filter=["r|/loop0$|","r|/loop1$|","r|/loop2$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] }  fedora/home failed

Additional info:
cmdline:        /usr/bin/python  /usr/sbin/anaconda
cmdline_file:   BOOT_IMAGE=/vmlinuz-3.11.4-201.fc19.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 vconsole.keymap=us rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=en_GB.UTF-8
executable:     /usr/sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.4-201.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-8.fc19.x86_64
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19
Comment 1 Peto 2013-10-25 02:54:39 EDT
Created attachment 816014 [details]
File: anaconda-tb
Comment 2 Peto 2013-10-25 02:54:43 EDT
Created attachment 816015 [details]
File: anaconda.log
Comment 3 Peto 2013-10-25 02:54:46 EDT
Created attachment 816016 [details]
File: environ
Comment 4 Peto 2013-10-25 02:54:52 EDT
Created attachment 816017 [details]
File: lsblk_output
Comment 5 Peto 2013-10-25 02:54:56 EDT
Created attachment 816019 [details]
File: nmcli_dev_list
Comment 6 Peto 2013-10-25 02:55:00 EDT
Created attachment 816020 [details]
File: os_info
Comment 7 Peto 2013-10-25 02:55:05 EDT
Created attachment 816021 [details]
File: program.log
Comment 8 Peto 2013-10-25 02:55:09 EDT
Created attachment 816022 [details]
File: storage.log
Comment 9 Peto 2013-10-25 02:55:13 EDT
Created attachment 816023 [details]
File: ifcfg.log
Comment 10 Peto 2013-10-25 02:55:17 EDT
Created attachment 816024 [details]
File: packaging.log
Comment 11 Ronaldo Tiou 2014-01-09 11:28:39 EST
Another user experienced a similar problem:





e
e
e
e
e

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/vmlinuz-3.12.6-200.fc19.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=br-abnt2 rhgb quiet LANG=pt_BR.UTF-8
hashmarkername: anaconda
kernel:         3.12.6-200.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-9.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
product:        Fedora
reason:         LVMError: lvdeactivate failed for root: running lvm lvchange -a n fedora/root failed
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19
Comment 12 David Lehman 2014-01-13 12:56:41 EST
The original reporter of this bug was running '/usr/sbin/anaconda' from the command line of his installed system. This is not how it's done. What you want to do is download some Fedora installation media and boot from that. Anaconda can only perform the installation when the block devices that will be used by the installed system are not actively being used.



(In reply to Ronaldo Tiou from comment #11)
> Another user experienced a similar problem:

Please attach the log files if you would like us to investigate further.
Comment 13 Chris Lumens 2014-03-17 15:36:56 EDT
*** Bug 1023401 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.